Altibase.jdbc.driver.util

## Class DoubleDynamicArray

- java.lang.Object
- - Altibase.jdbc.driver.util.DynamicArray
  - - Altibase.jdbc.driver.util.DoubleDynamicArray

    public class DoubleDynamicArray
    extends DynamicArray

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.util.DynamicArray

`mLoadCursor, mStoreCursor`

### Constructor Summary

Constructors
Constructor and Description
`DoubleDynamicArray()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `allocChunkEntry(int aChunkCount)`
`protected void` `expand(int aChunkIndex, int aChunkSize)`
`double` `get()`
`void` `put(double aValue)`

### Methods inherited from class Altibase.jdbc.driver.util.DynamicArray

`checkChunk, getChunkSizes, getDynamicArrySize, setCursor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleDynamicArray

    public DoubleDynamicArray()

### Method Detail

#### allocChunkEntry

    protected void allocChunkEntry(int aChunkCount)

Specified by:
  `allocChunkEntry` in class `DynamicArray`

#### expand

    protected void expand(int aChunkIndex,
                          int aChunkSize)

Specified by:
  `expand` in class `DynamicArray`

#### put

    public void put(double aValue)

#### get

    public double get()